Subject: [alpine-aports] [PATCH] testing/radare2: upgrade to 0.10.0

From: Jose-Luis Rivas <[email-masked]>
Date: Mon, 22 Feb 2016 13:01:13 -0500

- upgrade to 0.10.0
- add -doc subpackage
- make the APKBUILD more readable.
---
 testing/radare2/APKBUILD | 41 +++++++++++++++++++++++------------------
 1 file changed, 23 insertions(+), 18 deletions(-)

diff --git a/testing/radare2/APKBUILD b/testing/radare2/APKBUILD
index 382f18a..7e712fd 100644
--- a/testing/radare2/APKBUILD
+++ b/testing/radare2/APKBUILD
@@ -1,7 +1,8 @@
 # Contributor: stef <[email-masked]>
+# Contributor: Jose-Luis Rivas <[email-masked]>
 # Maintainer:
 pkgname=radare2
-pkgver=0.9.8
+pkgver=0.10.0
 pkgrel=0
 pkgdesc="unix-like reverse-engineering framework and commandline tools"
 url="http://www.radare.org"
@@ -11,28 +12,32 @@ depends=""
 depends_dev=""
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="${pkgname}-${pkgver}.tar.gz::https://github.com/radare/radare2/archive/${pkgver}.tar.gz"
 _builddir="$srcdir/$pkgname-${pkgver}"
+
 prepare() {
-local i
-cd "$_builddir"
-for i in $source; do
-case $i in
-*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-esac
-done
+  local i
+  cd "$_builddir"
+  for i in $source; do
+  case $i in
+  *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+  esac
+  done
 }
+
 build() {
-cd "$_builddir"
-./configure --prefix=/usr || exit 1
-make
+  cd "$_builddir"
+  ./configure --prefix=/usr || exit 1
+  make
 }
+
 package() {
-cd "$_builddir"
-make DESTDIR="$pkgdir" install
-install -D -m644 man/* "$pkgdir/usr/share/man/man1/"
+  cd "$_builddir"
+  make DESTDIR="$pkgdir" install
+  install -D -m644 man/* "$pkgdir/usr/share/man/man1/"
 }
-md5sums="f22ba519abc5fa38325cf75d900a9529  radare2-0.9.8.tar.gz"
-sha256sums="9bcc5d52c38b91a197eff193c2d49f99a7641ef7f9e64c63297bcecf5435fa2e  radare2-0.9.8.tar.gz"
-sha512sums="0846105724ee2566ddc2db203128f29bdfd900dba6c2c91d4743745f18ce5396bd1f4f6dba64e6792493a7ef1737fcc343e3f45d20190d53a8af837b4ce8d0b2  radare2-0.9.8.tar.gz"
+
+md5sums="3ffed0d1398bb6cd81d135d92cfd231b  radare2-0.10.0.tar.gz"
+sha256sums="23dcfc951e243b1dc1b8f9981712e061607c966c63397b5db77a0f338983ec7f  radare2-0.10.0.tar.gz"
+sha512sums="d50af3ae223313c41bb5a7a07e4d96d111579dc772e9f7ffe698260c55c518eb8861ac7e7db8b5d4b4cba8e16728ffd890c0c9e56f2ca34c31bb0d9f1e5c036e  radare2-0.10.0.tar.gz"
-- 
2.7.1

-- 
⨳ PGP 0x13EC43EEB9AC8C43 ⨳ https://ghostbar.co